Introduction

Using the WinFileM Utility you can

  • view the contents of two directories in two side by side windows,
    • in doing so view differences between files and directories,
    • detect additional files in one of the directories,
    • detect missing files in one of the directories,
    • identify larger resp. smaller files in one of the directories,
    • identify newer resp. older files in one of the directories,
    • identify equal resp. not equal files in the directories,
    • select corresponding files/directories,
    • and establish synchronicity between different directories
  • execute functions similar to those of the Windows Explorer,
  • apply Explorer functions to several files and/or directories,
  • encrypt or decrypt files,
  • zip files and/or directories into one zip-archive,
  • unzip existing zip-archives,
  • browse individual files,
  • display differences between two files, ...

This short introduction describes the functional range of WinFileM to enable your efficient usage of this application.

Next topic

  • the program surface
up up


Main Window

The WinFileM Main Window consists of four elements. Contained in this Main Window are:

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Statusbar

    WinFileM has an application window for displaying files and/or directories.

    • Next topics

    • the Titlebar
    • the Menuebar
    • the Toolbar
    • the Application window
    • the Statusbar


Titlebar

The Titlebar contains on the ride side the Standard- Windows-Buttons for Minimizing, Maximizing and Closing the application.

The Minimize-Button is working different than in other Windows-Applications. Pressing the "Minimize" Button does not minimize the application into the Windows-Taskbar, it removes the application from the Windows-Taskbar and adds a new Icon into the System-Tray. It can be used to restore the application by a double-click, and it displays a context-menue by a right-click,

which allows the restore of the application or the termination of the application.

The Close-Button is working different than in other Windows-Applications. Pressing the "Close" Button does not close the application, it removes the application from the Windows-Taskbar and adds a new Icon into the System-Tray. It can be used to restore the application by a double-click, and it displays a context-menue by a right-click,

The application can be closed via menue function 'File' -> 'Exit'.

Thus WinFileM can be added to the autostart-group to enable starting of WinFileM each time Windows is started. After starting via autostart, WinFileM is set to the same state as it was before (minimized, maximized).

Related Topics

  • the Titlebar


Menuebar

The Menuebar contains the active functions of the window.

The Menuebar together with the Toolbar contain all available functions of the application-window.


Toolbar

A Toolbar is not contained within the application window, the functions are contained in the individual areas of the application window.


Application Window

The Application Window is the Window for displaying the files and/or directories in various possibilities.


Display

The Display window consists (beside the tree view and the list view) of a context menu for displaying and selecting the visited paths, toolbars in the tree view and list view and a status information line.

The status information line at the bottom contains

  • the drive letter of the selected drive with free and available space,
  • the number of files and directories as well as their size,
  • the number of selected files and directories as well as their size (as far as the size of the directories has been calculated).

or

  • the computer-name,
  • the number of drives,
  • the number of selected drives.


Tree View

The tree view displays the structure of the file system.

/ Structure


List View

The list view displays the files and/or directories in various possibilities.


Statusbar

The Statusbar contains information about the application flow, information about the application window, a trackbar to show long running processes, and the current date and time as well as a button for displaying a calendar.

  • the Statusbar contains an information block as the first part of the line. Within this information block messages are issued, which inform about successful or non-successful progress. Each message is labeled with one of these Icons: Information (information message), Warning (warning message) or Error (error message).
  • the second part of the line contains the trackbar.
  • the third part of the line contains the current date and time.
  • the forth part of the line contains a button for displaying a calendar.

Information in the Statusbar are renewed, if a different application window is activated.


Menue File

Menue 'file' contains functions that can be used in this application window.


Exit

'Exit' closes and then terminates the application.

This is the only function (with the exception of 'End Process' in the Windows Task Manager) which can be used to terminate the program.


Layout

Menue 'Layout' contains functions for setting the appearance of the application window.

'Vertical' layout shows two windows in vertical arrangement, which may have a structure- and a listview.

'Horizontal' layout shows two windows in horizontal arrangement, which may have a structure- and a listview.

'Single' layout shows one window, which may have a structure- and a listview.


Tools

Menue 'Tools' contains functions for connecting and disconnecting network drives.


Connect to network drive

A new Map Network Drive window opens.

In the Map Network Drive window, choose an available drive letter from the dropdown list located next to the "Drive:" option. Any drives already mapped will have a shared folder name displayed inside the dropdown list, next to the drive letter.

Type the name of the folder to map. This name must follow UNC. Alternatively, click the Browse… button to find the correct folder by browsing available network shares.

Click the "Reconnect at login" checkbox if this network drive should be mapped permanently. Otherwise, this drive will un-map when the user logs out of this computer.

If the remote computer that contains the shared folder requires a different username and password to log in, click the "different user name" hyperlink to enter this information.

Click Finish.

If the drive letter was previously mapped to a different location, a message box will appear asking to replace the current connection with the new one. Click Yes to disconnect and un-map the old mapped drive.

If the Finish operation succeeds, the network drive will be mapped. If the network drive cannot be mapped, ensure the folder name is spelled correctly, that this folder was correctly set up for sharing on the remote computer, that (if necessary) the correct username and password have been entered, and that the computer network connections are functioning properly.


Disconnect network drive

To disconnect a mapped network drive, use the Tools/Disconnect Network Drive… option, or right-click on the folder in 'My Computer' and choose the "Disconnect" menu option.


Options

'Options' allows you to select and enter optional information.


Display size

'Display size' allows you to select and enter information to be used for the display of the size of any file and/or directory.

The size is directly displayed for files only. To display the size of a directory, the directory is selected in the list-view and then button 'size of directory' has to be pressed. Depending on the size of the directory the calculation of the size can be a longlasting operation.

The specification 'Display size in lowest unit' displays the size of a file or a directory in the lowest unit of the 4 available units Byte, Kilobyte, Megabyte and Gigabyte.

The specification 'Display size in Byte' displays the size of a file or a directory in number of Byte.

The specification 'Display size in KB' displays the size of a file or a directory in number of Kilobyte.

The specification 'Display size in MB' displays the size of a file or a directory in number of Megabyte.

The specification 'Display size in GB' displays the size of a file or a directory in number of Gigabyte.


Options

'Confirm File Operations' displays a menue which enables you to select options that allows the confirmation of file operations before the file operation is carried out.

Function 'Confirm File Operations during Copy' specifies a confirmation of the file copy operation.

Function 'Confirm File Operations during Move' specifies a confirmation of the file move operation.

Function 'Confirm File Operations during Delete' specifies a confirmation of the file delete operation.


Show Directory Distinctions

'Show Directory Distinctions' displays distinctions in directories in both sides of the lists in the same way distinctions in files are shown.

Additional directories are marked in one of the lists, for corresponding directory-names the creation date is checked.

Differences in sizes of the directories can not be shown.


Program Options

'Program Options' displays a dialog which enables you to select or modify various 'Program Options'.

  • Trace Options


Program Licencing

'Program Licencing' displays a dialog which enables you to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Language

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.


Language English

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • Language English
  • Language German


Language German

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • Language English
  • Language German


Help

'Help' displays information about this application, this help and further information.


Context menue

The context menue contains the drive letters and the path names of the recently visited paths. It is opened by a click on the context menue.

The list of the drive letters is automatically adjusted if a new drive is added or removed (e.g. by adding an USB-drive) or if a CD is inserted and the push loading drawer is locked.

If the mouse is hovered over the individual entries of the context menue, additional entries are opened at the labeled marks. Selecting one of these entries opens the path in the list view.

On the top right side there are two buttons. The first button has the 'back' functionality and opens the previous visited path, the second button has the 'up' functionality and moves up to the next higher directory.


Toolbar in Tree view

The toolbar in Tree view contains buttons with the identification 'Tools', 'Refresh', 'Copy Name', 'Copy Path', 'Command Prompt' and 'Expand Node'.

'Tools' opens a menue with functions available in the tree view.

Refresh | refreshes the display.
Copy Name | copies the name of the selected path into the clipboard.
Copy Path | copies the name of the selected path including the complete path name into the clipboard.
Edit Item | edits the name of the path, i.e. the path can be renamed.
New Folder | a new folder will be created in the structure below the selected folder.
Command Prompt | a DOS-window is opened using the selected path as a default-path.
Expand Node | the selected directory is expanded into all sub-directories.
Remove | the selected path will be removed, i.e. it will be moved to the recycle bin.
Cancel | the context menue will be closed, no action is carried out.


Toolbars in List view

The toolbars in List view

  • Toolbar Settings

  • Toolbar Selection

  • Toolbar Edit


Toolbar Settings

The toolbar Settings

contains 9 buttons with the identification 'Hide Tree' resp. 'Show Tree', 'Tools', 'Refresh', 'Show Files only' resp. 'Show Files and Folders', 'Copy Name', 'Copy Path', 'Select Columns/View', 'Command Prompt' and 'File Filter' and 3 buttons for Printing-support with the identifications 'Print Setup', 'Print Preview' and 'Print'.

'Tools' opens a menue with functions available in the list view.

'Select Columns/View' opens a menue with functions available in the list view.

'File Filter' opens a menue for selecting the file extension to be displayed.

Hide Tree resp. Show Tree | the view is switched from display containing a tree view to display without a tree view.
Refresh | refreshes the display.
Show Files only resp. Show Files and Folders | switches the view from display of files and directories to display of files only.
Copy Name | copies the name of the selected path into the clipboard.
Copy Path | copies the name of the selected path including the complete path name into the clipboard.
Edit Item | edits the name of the path, i.e. the path can be renamed.
Select All | all files in the display will be selected.
Unselect All | no file in the display will be selected.
Invert Selection | selected files and folders will be deselected, unselected files and folders will be selected.
New Folder | a new folder will be created in the structure below the selected folder.
New Link | a new link will be created in the selected folder.
Command Prompt | a DOS-window is opened using the selected path as a default-path.
Remove | the selected files/folders will be removed, i.e. they will be moved to the recycle bin.
Delete | the selected files/folders will be deleted, i.e. they will be deleted without using the recycle bin.
Cancel | the context menue will be closed, no action is carried out.
View | a menu is displayed for specification the display in the list view.
Show File Type | the list view contains a column for displaying the file type.
Show File Attributes | the list view contains a column for displaying the file attributes.
Show File Created | the list view contains a column for displaying the files creation date.
Show File Accessed | the list view contains a column for displaying the files last access date.
Show Gridlines | the list view contains a grid.
File Filter | a menu is displayed specifying the file extensions, which can be used for selecting different extensions.


Toolbar Selection

The toolbar Selection

contains 10 buttons with the identification 'Unselect All', 'Show Selected', 'Select All', 'Select Additional', 'Select Greater', 'Select Smaller', 'Select Newer', 'Select Older', 'Select Equal' and 'Select Not Equal.

Unselect All | no file in the display will be selected.
Show Selected | only selected files and directories are displayed.
Select All | all files in the display will be selected.
Select Additional | additional files contained in this directory are selected.
Select Greater | greater files contained in this directory are selected.
Select Smaller | smaller files contained in this directory are selected.
Select Newer | newer files contained in this directory are selected.
Select Older | older files contained in this directory are selected.
Select Equal | equal files contained in this directory are selected.
Select Not Equal | unequal files contained in this directory are selected.


Toolbar Edit

The toolbar Edit

contains 13 buttons with the identification 'Copy/Move', 'Remove', 'Delete', 'Date/Time', 'Rename', 'Attributes', 'Encrypt/Decrypt', 'Zip into one File', 'Zip into individual Files', 'Unzip', 'Browse', 'Delta' and 'Size of Directory'.

Copy/Move | the selected files/folders will be copied or moved to other directory.
Remove | the selected files/folders will be removed, i.e. they will be moved to the recycle bin.
Delete | the selected files/folders will be deleted, i.e. they will be deleted without using the recycle bin.
Date/Time | the date/time timestamps for modified, created and accessed date for the selected files/folders may be changed.
Rename | the selected files/folders may be renamed.
Attributes | attributes for the selected files/folders may be changed.
Encrypt/Decrypt | the selected files may be encrypted or decrypted.
Zip into one File | the selected files/folders may be zipped into one file.
Zip into individual Files | the selected files/folders may be zipped into one file each.
Unzip | the selected files/folders may be unzipped, unzipped files are created for each file contained in the zip-archive.
Browse | the selected files may be browsed.
Delta | differences in the selected files may be shown.
Size of Directory | sizes of directories may be shown.


Context-Menue

A right-click on an element opens the context-menue of the element. In this context-menue the functions of the explorer are available.


Drag & Drop

Tree view and list view may be source and target of drag & drop operations.


Functions of the List View

If Layout is set to 'Vertical' and both application windows have a directory selected, then files in the display are marked:

  • with a symbol for 'additional files'
  • with a symbol for 'greater files'
  • with a symbol for 'smaller files'
  • with a symbol for 'newer files'
  • with a symbol for 'older files'
  • with a symbol for 'equal files'

The symbol corresponds to the icon of the selection toolbar, which may be used for selecting the files. If more than one of the symbols in the toolbar are active, they may be used one after the other for selecting files.


Scrolling

Scrolling in a list view of one application window is done in parallel in the second list view of the other application window,

in case of:

  • Layout is set to 'Vertical'
  • both application windows have a directory selected
  • the scrollbar is visible in both list views
  • scrolling is done via the scroll-buttons


Executing

Using a double-click on an element of the list view the execution of an application may be started. This can be an application program (.exe-Extension) or the application assigned to the file (e.g. Notepad for txt-files).


Sorting

The list view may be sorted in ascending order or descending order on the elements displayed.

This will be done by a click on the name of the element in the list view. An arrow behind name of the element shows the current sort order. Switching the current sort order requires a click on the name of the element in the list view.


Date/Time

A double-click in fields 'last change', 'created at' and 'last access' allows to change the date/time timestamps for the selected files/folders.

The 'Left' and 'Right' keys can be used for navigating within the date and time field. The 'Esc'- Key can be used to cancel a date/time-change for the selected file/directory.


Rename

A click in field 'Name' on a previously selected field allows to change the name for the selected file/folder.

The 'Left' and 'Right' keys can be used for navigating within the field. The 'Esc'- Key can be used to cancel a change for the selected file/directory.


Attributes

A double-click in field 'Attr' allows to change the attributes for the selected file/folder.

The 'Left' and 'Right' keys can be used for navigating within the field. The 'Esc'- Key can be used to cancel a change for the selected file/directory.


Refresh

Button 'Refresh' allows manual refreshing of the display if 'Refresh' is turned off or 'Refresh' does not occur.

If the button is pressed, it remains in the pressed state (which is optically shown) until it is pressed again (and the optical mark is removed).


Refresh

Button 'Refresh' allows manual refreshing of the display if 'Refresh' is turned off or 'Refresh' does not occur. Usually automatic refresh is enabled and refreshes the display if a file or directory has been changed.

Pressing the button 'Refresh' in the tree view does the refreshing of the tree.

Pressing the button 'Refresh' in the list view turns off refreshing. The button is displayed as follows:

The button remains in the 'pressed' state. If some changes occur in the selected directory, then the button is displayed as follows:

Not before a new pressure of the button the mode is then switched back to 'Refresh'.

If refreshing is turned off, another optical mark is used within this button to show the need of refreshing.


Show Files only/Show Files and Folders

Button 'Show Files only' resp. 'Show Files and Folders' allows the specification of the display contained in the list view.

If the button is pressed, it remains in the pressed state (which is optically shown) until it is pressed again (and the optical mark is removed).

Display of 'Show Files only' may be useful for directories containing subdirectories; the names of the individual subdirectories will be displayed together with the filename.


Copy Name

Button 'Copy Name' copies the filename of a selected file into the clipboard. Then it may by used by other applications via the paste function.

'Copy Name' copies the filename including the extension-name.


Copy Path

Button 'Copy Path' copies the filename including the complete pathname of a selected file into the clipboard. Then it may by used by other applications via the paste function.

'Copy Path' copies the filename and the extension-name including the complete pathname.


Edit Item

Button 'Edit Item' edits the name of a selected file or a selected directory, i.e. the file or directory can be renamed.


Select All

Button 'Select All' selects all files and directories in the display.


Unselect All

Button 'Unselect All' deselects all previously selected files and directories in the display.


Invert Selection

Button 'Invert Selection' deselects all previously selected files and directories in the display and selects all previously unselected files and directories.


New Folder

Button 'New Folder' is used to create a new folder in the structure below the selected folder.


New Link

Function 'New Link' is used to create a new link in the selected folder. This function can also be selected via pressing the keys "Alt-Insert" in parallel.

Field "Name of Link" can be used to enter the name of the Link.

Field "Target" can be used to specify the complete name of the linked file (including drive, directory and filename). The file to be linked can be selected via button "Select Target".


Command Prompt

Button 'Command Prompt' is used to open a DOS-window using the selected path as a default-path.


Remove

Button 'Remove' is used to remove the selected files/folders, i.e. they will be moved to the recycle bin.


Delete

Button 'Delete' is used to delete the selected files/folders, i.e. they will be deleted without using the recycle bin.


Cancel

Button 'Cancel' is used to close the context menue, no action is carried out.


View

Button 'View' is used display a menu for specification the kind of display in the list view.


Show File Type

Button 'Show File Type' is used to switch the list view to contain a column for displaying the file type.


Show File Attributes

Button 'Show File Attributes' is used to switch the list view to contain a column for displaying the file attributes.


Show File Created

Button 'Show File Created' is used to switch the list view to contain a column for displaying the files creation date.


Show File Accessed

Button 'Show File Accessed' is used to switch the list view to contain a column for displaying the files last access date.


Show Gridlines

Button 'Show Gridlines' is used to switch the list view to contain a grid.


File Filter

Button 'File Filter' is used to display a menu specifying the file extensions, which are available in the currently selected directory, which can be used for selecting different extensions.

Only one file extension can be selected.

Selection 'Other...' can be used to specify another selection mask:

File Filter Other

With this input text '*screen*' is added into the user defined area of the menue; the list view displays only these files and/or directories which match this expression.


Show Selected

Button 'Show Selected' displays all selected files and directories.


Select Additional

Button 'Select Additional' selects additional files contained in this directory.


Select Smaller

Button 'Select Smaller' selects greater files contained in this directory.


Select Smaller

Button 'Select Smaller' selects smaller files contained in this directory.


Select Newer

Button 'Select Newer' selects newer files contained in this directory.


Select Older

Button 'Select Older' selects older files contained in this directory.


Select Equal

Button 'Select Equal' selects equal files contained in this directory.


Select Not Equal

Button 'Select Not Equal' selects unequal files contained in this directory.


Copy/Move

Button 'Copy/Move' allows copying or moving the selected files/directories into the other directory.

The subsequent dialog allows the selection of the action:

  • Button 'Copy' copies the selected file from the source-directory into the target-directory. The dialog is shown again for the next selected file.
  • Button 'Copy All' copies all selected files from the source-directory into the target-directory. The dialog is not shown again for the next selected file.
  • Button 'No' ignores the selected file during the copy- or move-process. The dialog is shown again for the next selected file.
  • Button 'Cancel' cancels the copy- or move-process.
  • Button 'Move' moves the selected file from the source-directory into the target-directory. The dialog is shown again for the next selected file.
  • Button 'Move All' moves all selected files from the source-directory into the target-directory. The dialog is not shown again for the next selected file.
  • Button 'Create Structure' creates the same directory-structure in the target-directory as it is found in the source-directory, but does not copy or move any file.
  • Button 'Create Files' creates the same directory-structure in the target-directory as it is found in the source-directory, and creates the same files in the target-directory as they are found in the source-directory. The individual files are created empty and will be shown with a size of 0 Bytes.


Date/Time

Button 'Date/Time' allows the modification of the date/time timestamps for modified, created and accessed date for the selected files/folders.

The subsequent dialog allows the selection of the action:

The dialog has 7 areas, which contain information or may be used for entering information.

  • the first area contains the name of the directory or file
  • the second area contains date and time of the last change
  • the third area contains date and time of the creation
  • the forth area contains date and time of the last access
  • the fifth area contains a field 'daylight saving time' depending on summer- or winter-time to set the date and time of the last changed one hour ahead or on hour back
  • the sixth area contains a field to set the date and time of the last changed according to the file system to an even number The current date and time will be checked and changed if it does not fulfill the FAT-requirements
  • the seventh area contains a field that allows the changes to be applied to subdirectories and files contained in subdirectories

Within the dialog the tab-key can be used to navigate from one field to the next. In the date- and time-fields the 'arrow left' and 'arrow right' keys can be used to navigate.

Fields date and time of the last change, date and time of the creation, date and time of the last access are disabled for input as soon as one of the options 'Daylight Saving Time' or 'Seconds' is used.

  • Button 'Yes' allows the desired action for the selected file. The dialog is shown again for the next selected file.
  • Button 'All' allows the desired action for all selected files. The dialog is not shown again for the next selected file.
  • Button 'No' ignores the desired action for the selected file. The dialog is shown again for the next selected file.
  • Button 'Cancel' cancels the process.


Rename

Button 'Rename' allows renaming of the selected files/folders.

The subsequent dialog allows the selection of the action:

The input field of the target filename allows the input of a filename-mask containing generic characters which allow specific changes.

These generic characters are valid in the filename-mask:

* | Asterisk | The * specifies any number of any characters at any position of the original filename
? | Question mark | The ? specifies any character at any position of the original filename
: | Colon | The : specifies the position of any number of any characters at the position for extracting the characters of the original filename and inserting them
< | Lower case | The < specifies any character in the filename at any position for inserting the corresponding lower case character from the original filename
> | Upper case | The > specifies any character in the filename at any position for inserting the corresponding upper case character from the original filename
% | Percent | The percent-sign specifies a numeric value in the filename at a position of the original-filename where a numeric value is contained

Examples:

Source-Filename: | Mask: | Target-Filename: | Explanation:
ABCDEFGH.IJK | D** | DBCDEFGH.IJK | the '**' at the end takes all characters from the source-filename
ABCDEFGH.IJK | D??EEE??.X?C | DBCEEEGH.XJC | the '?' takes one character
ABCDEFGH.IJK | C*.* | CBCDEFGH.IJK | the '*' takes all characters up to the next dot
ABCDEFGH.IJK | D.* | D.IJK | with a dot '.' in the mask the source-filename is continued from the next dot
ABCDEFGH.IJK | *.* | ABCDEFGH.IJK | trivial
ABCDEFGH.IJK | D??X*.?X* | DBCXEFGH.IXK | the '*' following the 'X' takes all characters up to the next dot
ABCDEFGH.IJK | D*E??.* | DBCDEFG.IJK | the '*' between two discrete characters takes all characters up to the next discrete character. Then up to the next dot 2 characters are taken (because of the '??')
ABCDEFGH.IJK | D*E*.* | DBCDEFGH.IJK | same as before, but takes all characters up to the dot (after the 'E')
ABCDEFGH.IJK | D*EXX??.* | DBCDEXXH..IJK | gives an error, because up to 'D*E' 5 characters are taken and then 'XX??' tries to take 4 additional characters
ABCDEFGH.IJK | X:.* | XABCDEFGH.IJK | the ':' takes the complete part of the name up to the next character in the mask
ABCDEFGH.IJK | *.XY: | ABCDEFGH.XYIJK | the ':' takes the complete rest of the source-filename into the target-filename
ABCDEFGH.IJK | <** | aBCDEFGH.IJK | the '<' changes an upper case character into a lower case character
ABCDEFGH.IJK | <<<** | abcDEFGH.IJK | the '<' changes an upper case character into a lower case character
abcdefgh.ijk | >>>>>>>>.* | ABCDEFGH.ijk | the '>' changes a lower case character into an upper case character
f1.abc | f%%%.* | f001.abc | the '%' changes a numeric value into a shorter or longer numeric value

Some more examples:

Source-Filename: | Mask: | Target-Filename:
ABC | D** | DBC
ABC | D??EEE??.X?C | DBCEEE
ABC | C*.* | CBC
ABC | D.* | D
ABC | *.* | ABC
ABC | D??X*.?X* | DBCX
ABC | D*E??.* | DBCE
ABC | D*E*.* | DBCE
ABC | D*EXX??.* | DBCEXX
f001.abc | f%%.* | f01.abc
f001.abc | x%.* | x1.abc

Pressing one of the buttons continues the process.

  • Button 'Yes' changes the name of the selected file. The dialog is shown again for the next selected file.
  • Button 'All' changes the name of all selected files. The dialog is not shown again for the next selected file.
  • Button 'No' ignores the selected file. The dialog is shown again for the next selected file.
  • Button 'Cancel' cancels the process.


Attributes

Button 'Attributes' allows changing the attributes for the selected files/folders.

The subsequent dialog allows the selection of the action:

The dialog has 3 areas, which contain information or may be used for entering information.

  • the first area contains the name of the directory or file
  • the second area contains the attributes that can be changed
  • the third area contains the system-attributes which can not be changed

Pressing one of the buttons proceeds the process of changing attributes.

  • Button 'Yes' changes the attributes for the selected file. The dialog is shown again for the next selected file.
  • Button 'All' changes the attributes for all selected files. The dialog is not shown again for the next selected file.
  • Button 'No' ignores the selected file. The dialog is shown again for the next selected file.
  • Button 'Cancel' cancels the process.


Encrypt/Decrypt

Button 'Encrypt/Decrypt' allows the selected files to be encrypted or decrypted.

The subsequent dialog allows the selection of the action:

Radio-Button 'Method' allows the selection of the method to be used for encryption or decryption.

  • 'DES' selects the Data-Encrypt-Standard. Field 'Key' has to contain the keyword for encryption or decryption, the maximum key-length is 8 characters.
  • 'RC2' selects the RC2-algorithm. Field 'Key' has to contain the keyword for encryption or decryption, the maximum key-length is 16 characters.
  • 'Triple DES' selects the Triple-DES method. Field 'Key' has to contain the keyword for encryption or decryption, the maximum key-length is 24 characters.
  • 'Rijndael (AES)' selects the AES-method. Field 'Key' has to contain the keyword for encryption or decryption, the maximum key-length is 32 characters.

A keyword shorter than the maximum size is filled with blank (empty) characters to the maximum size.

An encrypted file has an additional extension of '.enc' for easier identification. A decrypted file has an additional extension of '.dec' for easier identification.

The keyword is not recoverable from data of the encrypted file. If you do not remember the keyword, then the file is not decryptable.

  • Button 'Encrypt' encrypts the selected file. The dialog is shown again for the next selected file.
  • Button 'Encrypt All' encrypts all selected files. The dialog is not shown again for the next selected file.
  • Button 'No' ignores the selected file for encryption or decryption. The dialog is shown again for the next selected file.
  • Button 'Cancel' cancels the process.
  • Button 'Decrypt' decrypts the selected file. The dialog is shown again for the next selected file.
  • Button 'Decrypt All' decrypts all selected files. The dialog is not shown again for the next selected file.


Zip into one File

Button 'Zip into one File' allows the selected files/folders to be zipped into one file.

The button is enabled only in the case that the command-line option of the Winzip-program is installed and found on the computer.


Zip into individual Files

Button 'Zip into individual Files' allows the selected files/folders to be zipped into one file each.

The button is enabled only in the case that the command-line option of the Winzip-program is installed and found on the computer.


Unzip

Button 'Unzip' allows the selected file to be unzipped, unzipped files are created for each file contained in the zip-archive.

The button is enabled only in the case that the selected file is a zip-archive and that the command-line option of the Winzip-program is installed and found on the computer.


Browse

Button 'Browse' allows the selected files to be browsed.

The button is enabled only in the case that the WinBrowseM-utility is installed and found on the computer.


Delta

Button 'Delta' allows to view the differences in the selected files.

The button is enabled only in the case that the AZDelta-utility is installed and found on the computer and that exactly one file is selected in the left and right list view.

For viewing the differences the Internet Explorer will be started. The display consists of three windows, one containing general information and two windows containing the display of the selected files in the left-hand and right-hand.

The window containing the general information display the filenames of the selected files as well as their time stamp showing the last modification time.

The next line contains:

  • with a marker (*): the number of lines which are modified in the left-hand and right-hand file
  • with a marker (+): the number of lines which are contained in addition in the file displayed in left-hand window
  • with a marker (-): the number of lines which are contained in addition in the file displayed in right-hand window

Below are the two windows containing the display of the selected files in the left-hand and right-hand showing the additional resp. changed lines in colored background.

The scroll-bars of both the two windows are synchronized. Scrolling up/down resp. left/right in one of the windows scrolls the other window in exactly the same way.

This synchronized scrolling is working with a special setting of the Internet Explorer:

  • with Menue 'Extras', 'Internet Options' invokes the Internet Options dialog
  • tab 'extented' has to set the security entry 'active contents from files on local computer' in the check box
  • possibly a restart of the computer is necessary to activate this setting

If this setting is not present, a warning will be displayed, which means that synchronous scrolling is not available. DeltaScript


Size of Directory

Button 'Size of Directory' allows to compute and show the sizes of directories.

The button is enabled only in the case that only one or more directories are selected in the list view.


Licence Data

'Licence Data' is a dialog for entering information to enable you to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Licence Functions

'Licence Functions' displays a dialog showing information about licenced functionds of the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Licencing

'Licencing' displays a dialog showing information to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Program Options Trace

'Program Options Trace' displays a dialog which enables you to modify 'Trace Options'.

Program Options Trace

The 'Level' combobox allows to select the amount of Trace-messages to be written. The higher the level, the more messages will be written into the Trace-file. As a default the level is set to 'Level 0'.

In the 'Path for Trace-Files' textbox is contained the path-name for storing the Trace-files. As a default, the temporary directory is used.

The button 'Delete Files' deletes the existing Trace-files from the dselected directory.

The button 'Select Directory' display the 'Directory Search' dialog, which is used to select the directory for storing the Trace-files.

  • Trace Options


Expand Node

Button 'Expand Node' is used to open all subdirectories of the selected directory in the Tree view.